.summary-card {
  display: flex;
  height: fit-content;
  flex-direction: column;
  width: 350px;
  overflow: hidden;
  border-radius: 1rem;
  gap: 1rem;
  background-color: white;
  box-shadow: 1px 1px 6px 1px hsl(225, 100%, 98%);

  .summary-image {
    display: flex;
  }

  .summary-card-content {
    display: flex;
    flex: 1;
    gap: 1.25rem;
    flex-direction: column;
    padding: 0 3rem 1.5rem 3rem;

    .primary-text {
      font-size: 1.5rem;
      font-weight: 900;
      text-align: center;
    }
    .secondary-text {
      font-size: 0.875rem;
      color: rgb(151, 150, 150);
      text-align: center;
    }

    .pricing {
      display: flex;
      flex: 1;
      padding: 1rem;
      box-sizing: border-box;
      border-radius: 0.5rem;
      background-color: hsl(225, 100%, 98%);
      justify-content: flex-start;
      align-items: center;

      .plan {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: flex-start;
        font-size: 0.875rem;
        gap: 0.5rem;
        font-weight: 600;
        margin-left: 1rem;
        .sub-text {
          color: gray;
          font-weight: 400;
        }
      }
      .link {
        color: hsl(245, 75%, 52%);
        flex: 1;
        display: flex;
        justify-content: flex-end;
        font-weight: 600;
        cursor: pointer;
        text-decoration: underline;
      }
    }
    .primary-button {
      display: flex;
      flex: 1;
      justify-content: center;
      align-items: center;
      padding: 0.75rem;
      border-radius: 0.5rem;
      border: none;
      font-weight: 600;
      color: white;
      background-color: hsl(245, 75%, 52%);
      box-shadow: 1px 3px 6px 1px hsl(245, 70%, 67%);
      &:hover {
        cursor: pointer;
      }
    }
    .secondary-button {
      display: flex;
      flex: 1;
      justify-content: center;
      align-items: center;
      padding: 0.75rem;
      border-radius: 0.5rem;
      border: none;
      font-weight: 600;
      color: hsl(245, 75%, 52%);
      background-color: white;
      border: 1px solid transparent;

      &:hover {
        cursor: pointer;
        border: 1px solid hsl(245, 75%, 52%);
        box-shadow: 1px 1px 6px 1px hsl(245, 70%, 67%);
      }
    }
  }
}
p {
  margin: 0;
}
